Subject: Re: LDP signaling in draft-ietf-pwe3-sonet-07.txt

From: Stewart Bryant <[email-masked]>
Date: Mon, 26 Jul 2004 17:56:29 +0100

Ron

Danny and I suggest that you incorporate this change, and when you 
release -09
we will send it to the IESG.

- Stewart

Ron Cohen wrote:

>David, Nick,
>
>This is fine by me. Version 08 of the draft was just released (RTP
>optional). 
>
>I'll follow the WG chairs advise as to when to add this change.
>
>Thanks
>Ron
>
>
>  
>
>>-----Original Message-----
>>From: David Zelig [mailto:[email-masked]] 
>>Sent: Thursday, June 24, 2004 1:52 AM
>>To: [email-masked]'
>>Cc: [email-masked]'; Ron Cohen (E-mail)
>>Subject: RE: [PWE3] LDP signaling in draft-ietf-pwe3-sonet-07.txt
>>
>>
>>(sending again since first time had not arrived to the list)
>>Nick,
>>If we wish to make it more consistent with existing 
>>procedures I suggest to
>>change the paragraph to:
>>
>>"The setting of the CEP type, RTP, EBM and MAH bits MUST be
>>   consistent between peers. If a peer receives a 
>>label-mapping message
>>   with inconsistent setting compared with the local configuration, it
>>   MUST send a label-release message with status code of CEP/TDM
>>   mis-configuration [IANA], report to the operator and wait for a new
>>   (consistent) label mapping. A PE MUST send a new label-mapping
>>   message once it is re-configured or has received a 
>>label-mapping from 
>>   the peer with a consistent configuration."
>>
>>David
>>
>>    
>>
>>>-----Original Message-----
>>>From: Nick Weeds [mailto:[email-masked]]
>>>Sent: Tuesday, June 22, 2004 3:47 PM
>>>To: [email-masked]'
>>>Cc: [email-masked] (E-mail)
>>>Subject: [PWE3] LDP signaling in draft-ietf-pwe3-sonet-07.txt
>>>
>>>
>>>      
>>>
>>>>draft-ietf-pwe3-sonet-07.txt section 11.3 states that a 
>>>>        
>>>>
>>>Label Mapping
>>>      
>>>
>>>>message with inconsistent interface parameters should be 
>>>>        
>>>>
>>rejected by
>>    
>>
>>>>sending a Label Withdraw message:
>>>>
>>>>   ...   If a peer receives a label-mapping message
>>>>   with inconsistent setting compared with the local 
>>>>        
>>>>
>>>configuration, it
>>>      
>>>
>>>>   should send a label-withdraw message with status code 
>>>>        
>>>>
>>of CEP/TDM
>>    
>>
>>>>   mis-configuration [IANA], report to the operator and 
>>>>        
>>>>
>>>wait for a new
>>>      
>>>
>>>>   (consistent) label mapping.
>>>>
>>>>Use of Label Withdraw rather than Label Release seems unusual.
>>>>*	RFC 3036 (LDP) uses Label Release to reject invalid 
>>>>        
>>>>
>>>Label Mappings
>>>      
>>>
>>>>(eg loop-detected).
>>>>*	draft-ietf-pwe3-control-protocol-07.txt uses Label 
>>>>        
>>>>
>>>Release to reject
>>>      
>>>
>>>>invalid Label Mappings (eg "illegal C-bit", "invalid TAI").
>>>>*	L2VPN drafts also use Label Release to reject invalid Label
>>>>Mappings.
>>>>
>>>>I do understand that it's possible to send Label Withdraw 
>>>>        
>>>>
>>>for the local
>>>      
>>>
>>>>label mapping rather than Label Release for the received 
>>>>        
>>>>
>>>label mapping,
>>>      
>>>
>>>>but wouldn't it be simpler and more consistent with RFC 
>>>>        
>>>>
>>>3036 to use Label
>>>      
>>>
>>>>Release in this case?
>>>>
>>>>	Nick.
>>>>
>>>>Nick Weeds
>>>>Software Developer
>>>>Network Protocols Group
>>>>Data Connection Ltd
>>>>Tel:	+44 1244 305200
>>>>Fax:	+44 1244 312422
>>>>Email:	[email-masked]
>>>>Web:	http://www.dataconnection.com
>>>>
>>>>        
>>>>
>>>_______________________________________________
>>>pwe3 mailing list
>>>[email-masked]
>>>https://www1.ietf.org/mailman/listinfo/pwe3
>>>
>>>      
>>>
>
>
>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3
>
>
>  
>